List FIDO2 credentials of a client
GET/nevisidm/api/core/v1/clients/:extId/fido2
Since: 2.86.0
Required permission(s): AccessControl.ClientView,AccessControl.CredentialView
Returns all FIDO2 credentials belonging to users of the client with the given external ID.
Supports sorting via sortBy query parameter. Possible values:
- extId,
- validity.to,
- validity.from,
- version,
- created,
- lastModified,
- aaguid,
- rpId,
- userFriendlyName
Supports offset-based pagination. The offset query parameter specifies the offset of the first result to be returned. If both continuation token and offset are provided, the continuation token is ignored.
Filtering is supported by:
- userFriendlyName
- extId
- hashedCredentialId
- stateName
Modifiers for extId and userFriendlyName: _SW (starts with), _IEQ (case-insensitive full match).
Example filter queries:
- ?userFriendlyName=NEVIS%20Android%20phone&stateName=active
- ?userFriendlyName_IEQ=nevis%20Android%20phone&stateName=active
- ?userFriendlyName_SW=NEVIS&stateName=active
- ?hashedCredentialId=hashedCredentialId
- ?extId=fido2TestExtId
- ?extId_SW=fido2TestExtId
- ?extId_IEQ=fido2TestExtId
Example sort queries:
- ?sortBy=extId
- ?sortBy=extId_DESC
- ?sortBy=extId_ASC
Set returnTotalResultCount=true to include the total count in the _pagination response.
Request
Responses
- 200
- 403
- 404
- 422
FIDO2 credentials retrieved successfully
Insufficient permissions
Referenced resource not found
Invalid client data